import assert from "assert";
import assert_strict from "assert/strict";
import async_hooks from "async_hooks";
import buffer from "buffer";
import child_process from "child_process";
import cluster from "cluster";
import console from "console";
import constants from "constants";
import crypto from "crypto";
import dgram from "dgram";
import diagnostics_channel from "diagnostics_channel";
import dns from "dns";
import dns_promises from "dns/promises";
import domain from "domain";
import events from "events";
import fs from "fs";
import fs_promises from "fs/promises";
import http from "http";
import http2 from "http2";
import https from "https";
import inspector from "inspector";
import inspector_promises from "inspector/promises";
import module from "module";
import net from "net";
import os from "os";
import path from "path";
import path_posix from "path/posix";
import path_win32 from "path/win32";
import perf_hooks from "perf_hooks";
import process from "process";
import punycode from "punycode";
import querystring from "querystring";
import readline from "readline";
import readline_promises from "readline/promises";
import repl from "repl";
import stream from "stream";
import stream_consumers from "stream/consumers";
import stream_promises from "stream/promises";
import stream_web from "stream/web";
import string_decoder from "string_decoder";
import sys from "sys";
import timers from "timers";
import timers_promises from "timers/promises";
import tls from "tls";
import trace_events from "trace_events";
import tty from "tty";
import url from "url";
import util from "util";
import util_types from "util/types";
import v8 from "v8";
import vm from "vm";
import wasi from "wasi";
import worker_threads from "worker_threads";
import zlib from "zlib";

// with node: protocol
import assert from "node:assert";
import assert_strict from "node:assert/strict";
import async_hooks from "node:async_hooks";
import buffer from "node:buffer";
import child_process from "node:child_process";
import cluster from "node:cluster";
import console from "node:console";
import constants from "node:constants";
import crypto from "node:crypto";
import dgram from "node:dgram";
import diagnostics_channel from "node:diagnostics_channel";
import dns from "node:dns";
import dns_promises from "node:dns/promises";
import domain from "node:domain";
import events from "node:events";
import fs from "node:fs";
import fs_promises from "node:fs/promises";
import http from "node:http";
import http2 from "node:http2";
import https from "node:https";
import inspector from "node:inspector";
import inspector_promises from "node:inspector/promises";
import module from "node:module";
import net from "node:net";
import os from "node:os";
import path from "node:path";
import path_posix from "node:path/posix";
import path_win32 from "node:path/win32";
import perf_hooks from "node:perf_hooks";
import process from "node:process";
import punycode from "node:punycode";
import querystring from "node:querystring";
import readline from "node:readline";
import readline_promises from "node:readline/promises";
import repl from "node:repl";
import stream from "node:stream";
import stream_consumers from "node:stream/consumers";
import stream_promises from "node:stream/promises";
import stream_web from "node:stream/web";
import string_decoder from "node:string_decoder";
import sys from "node:sys";
import timers from "node:timers";
import timers_promises from "node:timers/promises";
import tls from "node:tls";
import trace_events from "node:trace_events";
import tty from "node:tty";
import url from "node:url";
import util from "node:util";
import util_types from "node:util/types";
import v8 from "node:v8";
import vm from "node:vm";
import wasi from "node:wasi";
import worker_threads from "node:worker_threads";
import zlib from "node:zlib";

// dynamic import
import("assert");
import("assert/strict");
import("async_hooks");
import("buffer");
import("child_process");
import("cluster");
import("console");
import("constants");
import("crypto");
import("dgram");
import("diagnostics_channel");
import("dns");
import("dns/promises");
import("domain");
import("events");
import("fs");
import("fs/promises");
import("http");
import("http2");
import("https");
import("inspector");
import("inspector/promises");
import("module");
import("net");
import("os");
import("path");
import("path/posix");
import("path/win32");
import("perf_hooks");
import("process");
import("punycode");
import("querystring");
import("readline");
import("readline/promises");
import("repl");
import("stream");
import("stream/consumers");
import("stream/promises");
import("stream/web");
import("string_decoder");
import("sys");
import("timers");
import("timers/promises");
import("tls");
import("trace_events");
import("tty");
import("url");
import("util");
import("util/types");
import("v8");
import("vm");
import("wasi");
import("worker_threads");
import("zlib");

// with node: protocol
import("node:assert");
import("node:assert/strict");
import("node:async_hooks");
import("node:buffer");
import("node:child_process");
import("node:cluster");
import("node:console");
import("node:constants");
import("node:crypto");
import("node:dgram");
import("node:diagnostics_channel");
import("node:dns");
import("node:dns/promises");
import("node:domain");
import("node:events");
import("node:fs");
import("node:fs/promises");
import("node:http");
import("node:http2");
import("node:https");
import("node:inspector");
import("node:inspector/promises");
import("node:module");
import("node:net");
import("node:os");
import("node:path");
import("node:path/posix");
import("node:path/win32");
import("node:perf_hooks");
import("node:process");
import("node:punycode");
import("node:querystring");
import("node:readline");
import("node:readline/promises");
import("node:repl");
import("node:stream");
import("node:stream/consumers");
import("node:stream/promises");
import("node:stream/web");
import("node:string_decoder");
import("node:sys");
import("node:timers");
import("node:timers/promises");
import("node:tls");
import("node:trace_events");
import("node:tty");
import("node:url");
import("node:util");
import("node:util/types");
import("node:v8");
import("node:vm");
import("node:wasi");
import("node:worker_threads");
import("node:zlib");
